#!/usr/bin/env python3
import http.server
from http.server import HTTPServer


class HelloWorldRequestHandler(http.server.BaseHTTPRequestHandler):
    def do_GET(self):  # noqa - it is correct for `GET` to be uppercase
        self.send_response(200)
        self.send_header('Content-type', 'text/html')
        self.send_header('X-Clacks-Overhead', 'GNU Terry Pratchett')
        self.end_headers()

        self.wfile.write(bytes('Hello universe!', 'utf8'))


def main():
    server_address = ('', 8000)
    httpd = HTTPServer(server_address, HelloWorldRequestHandler)
    httpd.serve_forever()


if __name__ == '__main__':
    main()
